# Generated from font-fabulous-1.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name font-fabulous

Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 1%{?dist}
Summary: A fabulous iconset packaged as a font
License: Apache 2.0
URL: http://github.com/manageiq/font-fabulous
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(fontcustom) >= 2.0.0
# BuildRequires: rubygem(fontcustom) < 2.1
BuildArch: noarch

%description
A fabulous iconset packaged as a font.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.fontcustom
%{gem_instdir}/.fontcustom-manifest.json
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.npmignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/assets
%{gem_instdir}/bower.json
%{gem_instdir}/ci
%{gem_instdir}/fontcustom.yml
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/font-fabulous.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.5-1
- Initial package
